#include <iostream>

using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    unsigned long long int n,h;
    cin>>n>>h;
    unsigned long long int niz[n];
    for(unsigned long long int i;i<n;i++){
        cin>>niz[i];
    }
    for(unsigned long long int i;i<n;i++){
        if(niz[i]<=h){
            cout<<i+1;
            return 0;
        }
    }
    cout<<-1;
    return 0;
}